<!--##
<NAME>Link Suggest</NAME>
<DESC>Link Suggest Form</DESC>
<SECTION>Platform||Links</SECTION>
##-->

<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:m_phrase name="lu_title_SuggestLink"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<!--## SIDE-BAR ELEMENT ##-->
<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-link/elements/side_boxes/action_box.elm" design="blue_box"/>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## //SIDE-BAR ELEMENT ##-->

<inp2:m_DefineElement name="content">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_include template="platform/elements/navigation_bar.elm" titles="lu_title_SuggestLink" templates="in-link/links/suggest_link" show_category="1"/>
		</div>
		<div class="movable-element">
			<!-- suggest link -->
			<inp2:m_RenderElement design="content_box">
				<inp2:m_Capture to_var="header">
					<inp2:m_phrase name="lu_title_SuggestLink"/>
				</inp2:m_Capture>

				<inp2:m_if check="l_HasPermission" permissions="LINK.ADD|LINK.ADD.PENDING">
					<inp2:l_PresetFormFields/>
					<span class="field-required">*</span> <inp2:m_phrase name="lu_IndicatesRequired"/><br /><br />

					<inp2:m_if check="l_HasError" field="any">
						<inp2:m_RenderElement name="error_message" />
					</inp2:m_if>

					<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/grey_pix.gif" width="100%" height="1" align="absmiddle" alt="" /><br /><br />

					<form method="post" action="<inp2:m_FormAction/>" enctype="multipart/form-data">
						<table class="form-data fullwidth">
							<tr><td colspan="2"><inp2:m_RenderElement name="subsection" title="lu_section_LinkDetails" break=""/></td></tr>

							<!--## SHOW PRIMARY CATEGORY ##-->
							<inp2:m_RenderElement name="inp_pr_category_label" prefix="l" field="PrimaryCat" title="lu_fld_SubmittingTo"/>
							<!--## //SHOW PRIMARY CATEGORY ##-->

							<inp2:m_RenderElement name="inp_edit_box_ml" prefix="l" field="Name" title="lu_fld_Name" maxlength="50" style="width:400px"/>
							<inp2:m_RenderElement name="inp_edit_box" prefix="l" field="Url" title="lu_fld_Url" maxlength="255" style="width:400px"/>
							<inp2:m_RenderElement name="inp_edit_textarea_ml" prefix="l" field="Description" cols="80" rows="7" title="lu_fld_Description" style="width:400px" is_last="1"/>

							<inp2:m_RenderElement name="inp_edit_categories" prefix="l" field="MoreCategories" title="lu_fld_MoreCategories"/>

							<tr><td colspan="2"><br/><inp2:m_RenderElement name="subsection" title="lu_section_Images" break=""/></td></tr>
							<inp2:m_RenderElement name="inp_edit_image_upload" prefix="l" field="PrimaryImage" title="lu_fld_PrimaryImage"/>
							<inp2:m_RenderElement name="inp_edit_image_upload" prefix="l" field="Image1" title="lu_fld_Image1"/>
							<inp2:m_RenderElement name="inp_edit_image_upload" prefix="l" field="Image2" title="lu_fld_Image2" is_last="1"/>
							<tr><td colspan="2"><br/><inp2:m_RenderElement name="subsection" title="lu_section_Files" break=""/></td></tr>
							<inp2:m_RenderElement name="inp_edit_file_upload" prefix="l" field="File1" title="lu_fld_File1"/>
							<inp2:m_RenderElement name="inp_edit_file_upload" prefix="l" field="File2" title="lu_fld_File2"/>
							<inp2:m_RenderElement name="inp_edit_file_upload" prefix="l" field="File3" title="lu_fld_File3" is_last="1"/>

							<inp2:m_if check="m_ConfigEquals" name="Link_EnhancedLinks" value="1">
								<inp2:m_RenderElement name="inp_edit_field_separator" is_last="0"/>

								<tr class="<inp2:m_odd_even odd="table_color1" even="table_color2"/>">
									<inp2:m_RenderElement name="inp_edit_field_caption" prefix="l" field="ListingTypeId" title="lu_fld_ListingType"/>
									<td class="field-value">
										<inp2:m_if check="l_HasError" field="ListingTypeId">
											<span class="field-error"><inp2:l_Error field="ListingTypeId"/></span><br />
										</inp2:m_if>

										<inp2:m_include template="in-link/elements/enhancements.elm"/>

										<table>
											<inp2:l_PredefinedOptions prefix="l" field="ListingTypeId" render_as="suggest_listing_type_element" selected="checked"/>
										</table>
									</td>
								</tr>
							</inp2:m_if>

							<inp2:m_RenderElement design="inp_edit_buttons">
								<input type="hidden" name="suggest_confirm_template" value="in-link/links/suggest_confirm"/>
								<input type="hidden" name="suggest_pending_confirm_template" value="in-link/links/suggest_pending_confirm"/>
								<input type="hidden" name="shop_cart_template" value="in-commerce/checkout/shop_cart"/>
								<input class="button" type="submit" name="events[l][OnCreate]" value="<inp2:m_phrase label="lu_btn_Create"/>"/>
								<input class="button" type="reset" name="events[l][OnReset]" value="<inp2:m_phrase label="lu_btn_Reset"/>"/>
							</inp2:m_RenderElement>
						</table>
					</form>
				<inp2:m_else/>
					<inp2:m_phrase name="lu_text_NoSuggestLinkPermission"/>
				</inp2:m_if>
			</inp2:m_RenderElement>
			<!-- // suggest link -->
		</div>
	</div>
</inp2:m_DefineElement>

<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>